Bug 1199720 - kde-runtime-docs Conflicts with plasma-desktop, kde-cli-tools
Summary: kde-runtime-docs Conflicts with plasma-desktop, kde-cli-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-runtime
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5 1550857
TreeView+ depends on / blocked
 
Reported: 2015-03-07 13:01 UTC by Rex Dieter
Modified: 2018-03-20 18:19 UTC (History)
9 users (show)

Fixed In Version: kde-runtime-17.08.3-6.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 18:19:13 UTC


Attachments (Terms of Use)

Description Rex Dieter 2015-03-07 13:01:22 UTC
Transaction check error:
  file /usr/share/doc/HTML/en/kdesu/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package kde-cli-tools-5.2.0-1.fc21.x86_64
  file /usr/share/doc/HTML/en/kdesu/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package kde-cli-tools-5.2.0-1.fc21.x86_64
  file /usr/share/doc/HTML/en/kdesu/man-kdesu.1.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package kde-cli-tools-5.2.0-1.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/bookmarks/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/cookies/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/ebrowsing/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/emoticons/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/icons/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-adblock/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-behavior/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-general/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-java-js/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-plugins/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/smb/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/useragent/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/knetattach/index.cache.bz2 from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/bookmarks/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/cookies/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/ebrowsing/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/emoticons/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/icons/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-adblock/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-behavior/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-general/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-java-js/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/khtml-plugins/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/smb/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/kcontrol/useragent/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64
  file /usr/share/doc/HTML/en/knetattach/index.docbook from install of kde-runtime-docs-14.12.1-2.fc21.noarch conflicts with file from package plasma-desktop-5.2.0-5.fc21.x86_64

Comment 1 Rex Dieter 2015-03-07 13:11:58 UTC
I don't see this conflict on f22 with:

$ rpm -q kde-runtime-docs kde-cli-tools plasma-desktop
kde-runtime-docs-14.12.1-3.fc22.noarch
kde-cli-tools-5.2.1-2.fc22.x86_64
plasma-desktop-5.2.1-2.fc22.x86_64

I *do* see conflicts with plasma-desktop-doc subpkg (when did that subpkg appear?):

Not sure if we should add to plasma-desktop-doc
Obsoletes: kde-runtime-docs
or
Conflictcs: kde-runtime-docs
or 
some other better idea.


As far as kde-runtime and kde-cli-tools Conflict, looks like that is only due to kdesu... for there I think one easy solution is to make a kdesu subpkg from each, then the upgrade path should 'just work'

Comment 2 Rex Dieter 2015-03-07 13:24:07 UTC
for the kdesu case, interestingly, it would appear opensuse's solution there was to use alternatives.  Let's try to avoid that if possible.

Comment 3 Rex Dieter 2015-03-07 14:40:56 UTC
For remaining kde-runtime-docs conflicts:
  file /usr/share/doc/HTML/en/kcontrol/bookmarks/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/bookmarks/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/cookies/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/cookies/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/ebrowsing/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/ebrowsing/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/emoticons/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/emoticons/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/icons/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/icons/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/khtml-adblock/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/khtml-adblock/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/khtml-behavior/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/khtml-behavior/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/khtml-general/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/khtml-general/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/khtml-java-js/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/khtml-java-js/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/khtml-plugins/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/khtml-plugins/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/smb/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/smb/index.docbook
  file /usr/share/doc/HTML/en/kcontrol/useragent/index.cache.bz2
  file /usr/share/doc/HTML/en/kcontrol/useragent/index.docbook
  file /usr/share/doc/HTML/en/knetattach/index.cache.bz2
  file /usr/share/doc/HTML/en/knetattach/index.docbook

I think I'm going to just add
Obsoletes: kde-runtime-docs
It may be an overly big hammer, but we can added selected safe things back to kde-runtime pkg if needed later.

Comment 4 Rex Dieter 2015-03-07 14:41:29 UTC
Adding the Obsoletes: above to plasma-desktop, that is.

Comment 5 Rex Dieter 2015-03-21 12:52:27 UTC
This should be resolved in latest builds

Comment 6 Kevin Kofler 2018-03-02 11:48:25 UTC
This is not an acceptable solution. kde-runtime-docs contains:
%{_kde4_docdir}/HTML/en/kcontrol/
%{_kde4_docdir}/HTML/en/kdebugdialog/
%{_kde4_docdir}/HTML/en/kioslave/
%{_kde4_docdir}/HTML/en/knetattach/

Only:
%{_kde4_docdir}/HTML/en/kcontrol/
%{_kde4_docdir}/HTML/en/knetattach/
conflict.

These:
%{_kde4_docdir}/HTML/en/kdebugdialog/
%{_kde4_docdir}/HTML/en/kioslave/
are only in kde-runtime-docs and need to be shipped by it. The KF5 stuff ships %{_kde4_docdir}/HTML/en/kdebugdialog5/ (kf5-kdelibs4support-doc) and %{_kde4_docdir}/HTML/en/kioslave5/ (in various packages) instead.

This bogus Obsoletes needs to go away, and only the conflicting files removed from kde-runtime-docs.

Comment 7 Rex Dieter 2018-03-02 13:44:37 UTC
I can try that

Comment 8 Rex Dieter 2018-03-02 14:13:54 UTC
kde-runtime:

 %changelog
+* Fri Mar 02 2018 Rex Dieter <rdieter@fedoraproject.org> - 17.08.3-6
+- -docs: omit Conflicts with plasma-desktop-doc, Epoch++ (#1199720)
...

Comment 9 Fedora Update System 2018-03-08 23:01:44 UTC
kde-runtime-17.08.3-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-df73b0e551

Comment 10 Fedora Update System 2018-03-09 15:38:25 UTC
kde-runtime-17.08.3-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-df73b0e551

Comment 11 Fedora Update System 2018-03-20 18:19:13 UTC
kde-runtime-17.08.3-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.